Skip to main content
`Ctrl`+`K`

# DMStagSetDOF

set dof/stratum

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagSetDOF(DM dm, PetscInt dof0, PetscInt dof1, PetscInt dof2, PetscInt dof3)

Logically Collective; `dof0`, `dof1`, `dof2`, and `dof3` must contain common values

## Input Parameters

- dm - the `DMSTAG` object

- dof0 - the number of points per 0-cell (vertex/node)

- dof1 - the number of points per 1-cell (element in 1D, edge in 2D and 3D)

- dof2 - the number of points per 2-cell (element in 2D, face in 3D)

- dof3 - the number of points per 3-cell (element in 3D)

## Note

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMDASetDof()`

## Level

advanced

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages